Skip to content

Returns a type from the system by its ID.

Request

This method will look up a type by the specified ID and return it back.

Security
knox-authorizer
Path
tenantIdstringrequired

The id of the tenant being accessed.

idstringrequired

The ID of the type to return.

Query
fieldsstring

The fields that you want to retrieve; if omitted, the entire object is returned.

consistentReadstring

Indicates the API should force a consistent read on the data source.

curl -i -X GET \
  'https://docs.api.rhythmsoftware.com/_mock/apis/membership/membership-v1/types/{tenantId}/{id}?fields=string&consistentRead=string' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The type was retrieved successfully.

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
certificate_settingsobject(Certificate Settings)required
custom_field_valuesArray of objects(Custom Field Values)
custom_order_generation_optionsobject(Custom Order Generation Options)required
customer_typestring(Customer Type)required
Enum:"contact""organization"
display_in_portal_asstring(Display In Portal As)

The name of the type, as displayed in the portal

display_ordernumber, (float)(Display Order)

The order to display types

enable_custom_order_generationboolean(Enable Custom Order Generation)

If set, the order engine will call out to a custom lambda function for custom/complex order logic

enable_flowdownboolean(Enable Flowdown)

Whether membership flowdown is enabled for this membership type

enable_section_restrictionsboolean(Enable Section Restrictions)

Whether section requirements are enabled for this membership type

flowdown_membership_type_idstring(Flowdown Membership Type)

The membership type for flow down contacts

flowdown_optionsobject(Flowdown Options)
hide_from_portalboolean(Hide From Portal)

Hidden from portal

idstring(ID)^[\w|-]+$required

The unique, string identifier of this membership type

id_card_template_idstring(Id Card Template)

The ID card template for this membership type

is_activeboolean(Is Active)

Whether or not this type is active

membership_360_screen_idstring(Membership 360 Screen)^membership-memberships__.*

Override the 360 screen

membership_console_page_layout_idstring(Membership Console Page Layout)^membership-memberships__.*

Override the default page layout for membership editing

membership_portal_page_layout_idstring(Membership Portal Page Layout)^membership-memberships__.*

Override the default page layout for membership editing

namestring(Name)required

The name of the membership type

override_certificate_settingsboolean(Override Certificate Settings)

If true, the default certificate settings are overridden for this membership

portal_descriptionstring(Portal Description)

The description of this type in the portal

section_restrictionsobject(Section Restrictions)required
sys_bulk_load_atstring(Sys Bulk Load At)

If this record was loaded via bulk, the timestamp when the record was processed

sys_bulk_load_idstring(Sys Bulk Load)

If this record was loaded via bulk, the ID of the bulk load process

sys_bulk_load_pkstring(Sys Bulk Load Pk)

If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key

sys_bulk_load_record_nonumber, (float)(Sys Bulk Load Record No)

If this record was loaded via bulk, the record number in the source file

sys_bulk_load_source_filestring(Sys Bulk Load Source File)

If this record was loaded via bulk, the source file

sys_calculated_field_errorstring(Sys Calculated Field Error)

The error associated with the calculated field

sys_calculated_field_errorsArray of objects
sys_configuration_snapshot_idstring(Sys Configuration Snapshot)

If a snapshot was restored/applies to this record, the ID of the snapshot

sys_created_atstring, (date-time)(Sys Created At)required

The date/time that this record was created, expressed in ISO-8601 date format

sys_created_by_idstring(Sys Created By)required

The ID of the user that created this record

sys_deleted_by_idstring(Sys Deleted By)

The ID of the user that deleted (or last tried to delete) this object

sys_directivestring(Sys Directive)

Means for passing directive information into an object processing logic

sys_external_idstring(Sys External)

The ID that a record has from an external system or data import

sys_has_files_in_s3boolean(Sys Has Files In S3)

If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion

sys_last_bulk_data_operation_idstring(Sys Last Bulk Data Operation)

If this record was last touched by a bulk data operation, the ID of that operation

sys_last_bulk_data_operation_sys_versionstring(Sys Last Bulk Data Operation Sys Version)

If this record was last touched by a bulk data operation, the sys_version at the time of that operation

sys_last_modified_atstring, (date-time)(Sys Last Modified At)required

The date/time that this record record was last modified, expressed in ISO-8601 date format

sys_last_modified_by_idstring(Sys Last Modified By)required

The ID of the user that last modified this record

sys_last_security_contextobject(Sys Last Security Context)

The security context of the last insert, modify, or delete performed on this item

sys_lockedboolean(Sys Locked)

If set, this record is locked and cannot be changed via the API

sys_snapshot_base_versionnumber, (float)(Sys Snapshot Base Version)

The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox

sys_versionnumber, (float)(Sys Version)

A number representing the version of this record in the database

universal_shopping_cart_image_uristring(Universal Shopping Cart Image Uri)

The image to display for this package when it is in the online store

Response
{ "certificate_settings": { "certificate_mode": "automatically generate", "certificate_template": "string" }, "custom_field_values": [ { … } ], "custom_order_generation_options": { "lambda_function_id": "string" }, "customer_type": "contact", "display_in_portal_as": "string", "display_order": 0.1, "enable_custom_order_generation": true, "enable_flowdown": true, "enable_section_restrictions": true, "flowdown_membership_type_id": "string", "flowdown_options": { "contact_role_ids": [ … ], "enable_cascading_flowdown": true, "organization_type_ids": [ … ] }, "hide_from_portal": true, "id": "string", "id_card_template_id": "string", "is_active": true, "membership_360_screen_id": "string", "membership_console_page_layout_id": "string", "membership_portal_page_layout_id": "string", "name": "string", "override_certificate_settings": true, "portal_description": "string", "section_restrictions": { "maximum_number_of_sections": 0.1, "minimum_number_of_sections": 0.1, "section_type_restrictions": [ … ] }, "sys_bulk_load_at": "string", "sys_bulk_load_id": "string", "sys_bulk_load_pk": "string", "sys_bulk_load_record_no": 0.1, "sys_bulk_load_source_file": "string", "sys_calculated_field_error": "string", "sys_calculated_field_errors": [ { … } ], "sys_configuration_snapshot_id": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_deleted_by_id": "string", "sys_directive": "string", "sys_external_id": "string", "sys_has_files_in_s3": true, "sys_last_bulk_data_operation_id": "string", "sys_last_bulk_data_operation_sys_version": "string", "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "sys_last_security_context": {}, "sys_locked": true, "sys_snapshot_base_version": 0.1, "sys_version": 0.1, "universal_shopping_cart_image_uri": "string" }